# class Xapian::Posting

### Attributes

docid[RW]
doclength[RW]
wdf[RW]

### Public Class Methods

new(docid, doclength, wdf) click to toggle source

    # File ../../../../../ruby/docs/xapian.rb, line 230
    def initialize(docid, doclength, wdf)
      @docid = docid
      @doclength = doclength
      @wdf = wdf
    end

### Public Instance Methods

==(other) click to toggle source

    # File ../../../../../ruby/docs/xapian.rb, line 236
    def ==(other)
      return other.is_a?(Xapian::Posting) && other.docid == @docid && other.doclength == @doclength &&
        other.wdf == @wdf
    end